Skip to main content
GET
/
api
/
v2.1
/
calendar
/
economics
Returns the economic calendar data
curl --request GET \
  --url 'https://api.benzinga.com/api/v2.1/calendar/economics?token=' \
  --header 'accept: <accept>'
{
  "economics": [
    {
      "actual": "216000",
      "actual_t": "216K",
      "confirmed": true,
      "consensus": "170000",
      "consensus_t": "170K",
      "country": "United States",
      "date": "2024-01-09",
      "description": "The change in the number of employed people",
      "event_category": "Employment",
      "event_name": "Nonfarm Payrolls",
      "event_period": "December",
      "id": "60a7f5e8e4b0f5a3c8e9f5af",
      "importance": 5,
      "notes": "Nonfarm payrolls beat expectations",
      "period_year": 2023,
      "prior": "199000",
      "prior_t": "199K",
      "time": "08:30:00",
      "updated": 1704819600
    }
  ]
}

Authorizations

token
string
query
required

Headers

accept
enum<string>
default:application/json
required

Specifies return format. Query parameters work the same for both formats

Available options:
application/json

Query Parameters

page
integer
default:0

Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date

pagesize
integer

Number of results returned. Limit 1000

Required range: x <= 1000
parameters[date]
string<YYYY-MM-DD>

Date to query for calendar data. Shorthand for date_from and date_to if they are the same. Defaults for latest

parameters[date_from]
string<YYYY-MM-DD>

Date to query from point in time

parameters[date_to]
string<YYYY-MM-DD>

Date to query to point in time

parameters[importance]
enum<integer>

The importance level to filter by. Uses Greater Than or Equal To the importance indicated

Available options:
1,
2,
3
parameters[updated]
integer

Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated

country
string<A-Z:3>

3-Digit Country Code (e.g., USA, CAN, GBR)

event_category
string<csv>

One or more categories separated by a comma

Response

success

API response containing an array of economic event records

economics
object[]